Page MenuHomePhabricator

Regression: Notification Overlay can't be closed via mask
Closed, ResolvedPublicBUG REPORT

Description

NOTE: Broken by 50c0f4c7e1 (Correct the back button behaviour for talk overlay with unstaged changes, I6521697d775644913325608e45dbbf6b10ae347f) as part of the talk page changes.

Steps to reproduce

Expected results:

The notifications close.

Actual results:

They close.. and then open again like a zombie searching for brains.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterAvoid unintentional back behavior in _onHideOverlay

Event Timeline

Jdlrobson created this task.Nov 7 2019, 7:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 7 2019, 7:39 PM
Jdlrobson updated the task description. (Show Details)Nov 7 2019, 8:00 PM

Change 549646 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Avoid unintentional back behavior in _onHideOverlay

https://gerrit.wikimedia.org/r/549646

Jdlrobson triaged this task as High priority.Nov 11 2019, 5:16 PM
Jdlrobson added a project: Growth-Team.

cc Growth team

Masumrezarock100 changed the subtype of this task from "Task" to "Bug Report".Nov 11 2019, 5:23 PM
Jdlrobson assigned this task to nray.Nov 12 2019, 6:08 PM

Nick will take a look

Change 549646 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Avoid unintentional back behavior in _onHideOverlay

https://gerrit.wikimedia.org/r/549646

ovasileva closed this task as Resolved.Nov 25 2019, 10:43 AM
ovasileva added a subscriber: ovasileva.

Not sure why this didn't make it to QA, but just tested and looks good